Mailinglist Archive: opensuse-factory (396 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20190327 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20190327

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ImageMagick (7.0.8.28 -> 7.0.8.34)
Mesa
MozillaFirefox (65.0.1 -> 66.0)
MozillaThunderbird (60.5.2 -> 60.6.0)
NetworkManager
PackageKit
PackageKit-Qt
SuSEfirewall2
acl
alsa-plugins
autogen
bc
brltty (5.6 -> 6.0)
curl
desktop-translations (84.87.20190131.bc9de591 -> 84.87.20190314.58da68e1)
exo
firewalld
fwnn (1.1.1a023 -> 1.1.1a023.1)
ghostscript
glibmm2_4 (2.58.0 -> 2.60.0)
glusterfs (5.3 -> 5.5)
gnome-control-center
gtkmm3 (3.24.0 -> 3.24.1)
intel-vaapi-driver
jasper (2.0.14 -> 2.0.16)
kcmutils
kdebase4-workspace
kwalletmanager5
libXdmcp (1.1.2 -> 1.1.3)
libXext (1.3.3 -> 1.3.4)
libXft (2.3.2 -> 2.3.3)
libXmu (1.1.2 -> 1.1.3)
libXrandr (1.5.1 -> 1.5.2)
libXvMC (1.0.10 -> 1.0.11)
libXxf86dga (1.1.4 -> 1.1.5)
libbluray
libpinyin (2.2.1 -> 2.3.0)
libreoffice (6.2.2.1 -> 6.2.2.2)
libseccomp (2.3.3 -> 2.4.0)
libvirt
libx86emu (2.1 -> 2.2)
libxkbfile (1.0.9 -> 1.1.0)
libzypp (17.11.2 -> 17.11.3)
lua53 (5.3.4 -> 5.3.5)
mcelog (1.60 -> 1.62)
mkfontscale (1.2.0 -> 1.2.1)
mozilla-nss (3.41.1 -> 3.42.1)
nano (3.2 -> 4.0)
ncurses
plasma5-pk-updates
plasma5-workspace
plymouth
pngquant (2.11.2 -> 2.12.2)
projectM
psqlODBC (10.03.0000 -> 11.00.0000)
python-ipaddr (2.1.11 -> 2.2.0)
python-numpy
qalculate (2.8.0 -> 3.0.0)
rubygem-actioncable-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-actioncable-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-actionmailer-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-actionmailer-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-actionpack-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-actionpack-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-actionview-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-actionview-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-activejob-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-activejob-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-activemodel-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-activemodel-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-activerecord-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-activerecord-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-activesupport-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-activesupport-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-autoprefixer-rails (9.4.5 -> 9.5.0)
rubygem-byebug (10.0.2 -> 11.0.1)
rubygem-concurrent-ruby (1.1.4 -> 1.1.5)
rubygem-hoe (3.17.1 -> 3.17.2)
rubygem-i18n (1.5.3 -> 1.6.0)
rubygem-libyui-rake (0.1.13 -> 0.1.14)
rubygem-liquid (4.0.1 -> 4.0.3)
rubygem-msgpack (1.2.6 -> 1.2.9)
rubygem-net-ssh (5.1.0 -> 5.2.0)
rubygem-omniauth-google-oauth2 (0.6.0 -> 0.6.1)
rubygem-rails-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-rails-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-railties-5_0 (5.0.7.1 -> 5.0.7.2)
rubygem-railties-5_1 (5.1.6.1 -> 5.1.6.2)
rubygem-ruby_parser (3.12.0 -> 3.13.0)
rubygem-sexp_processor (4.11.0 -> 4.12.0)
rubygem-temple (0.8.0 -> 0.8.1)
rubygem-unicorn (5.4.1 -> 5.5.0)
rubygem-validate_url (1.0.2 -> 1.0.6)
sensors
spacenavd
spice-gtk
tar (1.30 -> 1.31)
tigervnc
transactional-update (2.14 -> 2.14.1)
usbutils (009 -> 010)
xf86-input-wacom
xf86-video-ati (18.1.0 -> 19.0.1)
xfce4-panel-plugin-weather (0.9.0 -> 0.9.1)
xfce4-panel-plugin-whiskermenu (2.3.1 -> 2.3.2)
xmlto
xorg-x11-server
xtrans (1.3.5 -> 1.4.0)
yast2-bootloader (4.1.22 -> 4.1.23)
yast2-trans (84.87.20190320.750cf6aee8 -> 84.87.20190322.b16b39e213)
ypbind
zypper (1.14.26 -> 1.14.27)

=== Details ===

==== ImageMagick ====
Version update (7.0.8.28 -> 7.0.8.34)
Subpackages: ImageMagick-extra libMagick++-7_Q16HDRI4 libMagickCore-7_Q16HDRI6
libMagickWand-7_Q16HDRI6 perl-PerlMagick

- added temporary %pretrans to ImageMagick-config-upstream and
ImageMagick-config-SUSE [bsc#1122033comment#37]
- version update to 7.0.8.34
* Associate one lock with each resource.
* Report exception if opening TIFF did not work out.
* Fixed numerous use of uninitialized values, integer overflow, memory
exceeded, and timeouts (credit to OSS Fuzz).
- update to 7.0.8-33
* Fix SVG conversion infinite loop (reference
https://imagemagick.org/discourse-server/viewtopic.php?f=3&t=35591).
* Initialize primitive drawing structure after resizing.
* Fix out-of-boundary LocaleLowerCase() @
https://github.com/ImageMagick/ImageMagick/issues/1495
* -trim is no longer sensitive to the image virtual canvas.
- update to 7.0.8-30
* Support define to remove additional background from an image during a
trim, e.g. -define trim:percent-background=0% -trim.
* Fixed a number of issues (reference
https://github.com/ImageMagick/ImageMagick/issues).
* Fixed numerous use of uninitialized values, integer overflow, memory
exceeded, and timeouts (credit to OSS Fuzz).
- deleted patches
- ImageMagick-montage.t.patch (upstreamed)
- provide two new (conflicting) packages with configuration
[bsc#1122033]:
* ImageMagick-config-upstream
- provides configuration provided by upstream (no restrictions)
* ImageMagick-config-SUSE (preferred)
- provides configuration provided by SUSE (with security
restrictions)
and use update-alternatives for selecting configurations.
- remove code for < 1315
- deleted patches
- ImageMagick-disable-insecure-coders.patch (renamed)
- added patches
+ ImageMagick-configuration-SUSE.patch

==== Mesa ====
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- Mesa-libEGL-devel needs Mesa-KHR-devel (bsc#1117365)

==== MozillaFirefox ====
Version update (65.0.1 -> 66.0)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 66.0
* Increased content processes to 8
* Added capability to search through open tabs from the tab overflow menu
* New backend for the storage.local WebExtensions API, providing
I/O performance improvements when the extension updates a small
subset of the stored data
* WebExtension keyboard shortcuts can now be managed or overridden
from about:addons
* Improved scrolling behavior: Firefox will now attempt to keep content
from jumping around while a page is loading by supporting scroll
anchoring
* New about:privatebrowsing with search
* A certificate error page now notifies the user of the name of the
certificate issuer that breaks HTTPs connections on intercepted
connections to help troubleshooting possible anti-virus software
issues.
* Fixed an performance issue some Linux users experienced with the
Downloads panel (bmo#1517101)
* Firefox now blocks all autoplay media with sound by default. Users
can add individual sites to an exceptions list or turn the blocking
off.
* System title bar is hidden by default to match Gnome guideline
MFSA 2019-07 (bsc#1129821)
* CVE-2019-9790 (bmo#1525145)
Use-after-free when removing in-use DOM elements
* CVE-2019-9791 (bmo#1530958)
Type inference is incorrect for constructors entered through on-stack
replacement with IonMonkey
* CVE-2019-9792 (bmo#1532599)
IonMonkey leaks JS_OPTIMIZED_OUT magic value to script
* CVE-2019-9793 (bmo#1528829)
Improper bounds checks when Spectre mitigations are disabled
* CVE-2019-9794 (bmo#1530103) (Windows only)
Command line arguments not discarded during execution
* CVE-2019-9795 (bmo#1514682)
Type-confusion in IonMonkey JIT compiler
* CVE-2019-9796 (bmo#1531277)
Use-after-free with SMIL animation controller
* CVE-2019-9797 (bmo#1528909)
Cross-origin theft of images with createImageBitmap
* CVE-2019-9798 (bmo#1527534) (Android only)
Library is loaded from world writable APITRACE_LIB location
* CVE-2019-9799 (bmo#1505678)
Information disclosure via IPC channel messages
* CVE-2019-9801 (bmo#1527717) (Windows only)
Windows programs that are not 'URL Handlers' are exposed to web content
* CVE-2019-9802 (bmo#1415508)
Chrome process information leak
* CVE-2019-9803 (bmo#1515863, bmo#1437009)
Upgrade-Insecure-Requests incorrectly enforced for same-origin navigation
* CVE-2019-9804 (bmo#1518026) (MacOS only)
Code execution through 'Copy as cURL' in Firefox Developer Tools on macOS
* CVE-2019-9805 (bmo#1521360)
Potential use of uninitialized memory in Prio
* CVE-2019-9806 (bmo#1525267)
Denial of service through successive FTP authorization prompts
* CVE-2019-9807 (bmo#1362050)
Text sent through FTP connection can be incorporated into alert messages
* CVE-2019-9809 (bmo#1282430, bmo#1523249)
Denial of service through FTP modal alert error messages
* CVE-2019-9808 (bmo#1434634)
WebRTC permissions can display incorrect origin with data: and blob: URLs
* CVE-2019-9789 bmo#1520483, bmo#1522987, bmo#1528199, bmo#1519337,
bmo#1525549, bmo#1516179, bmo#1518524, bmo#1518331, bmo#1526579,
bmo#1512567, bmo#1524335, bmo#1448505, bmo#1518821
Memory safety bugs fixed in Firefox 66
* CVE-2019-9788 bmo#1518001, bmo#1521304, bmo#1521214, bmo#1506665,
bmo#1516834, bmo#1518774, bmo#1524755, bmo#1523362, bmo#1524214, bmo#1529203
Memory safety bugs fixed in Firefox 66 and Firefox ESR 60.6
- updated build/runtime requirements
* mozilla-nss >= 3.42.1
* cargo/rust >= 1.31
* rust-cbindgen >= 0.6.8
* nasm >= 2.13 (new)
- removed obsolete patch
* mozilla-bmo256180.patch

==== MozillaThunderbird ====
Version update (60.5.2 -> 60.6.0)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 60.6.0
* Calendar: Can't create repeating event with end date when using
certain time zones, for example Europe/Minsk
* some minor bugfixes
* using 60.6.0esr Mozilla platform (bsc#1129821)
- Mozilla Thunderbird 60.5.3
* fixed a regression on the Windows platform:
Problem when using "Send to > Mail recipient" on Windows

==== NetworkManager ====
Subpackages: NetworkManager-lang libnm0 typelib-1_0-NM-1_0

- Fix the connectivity value of devices which was set to LIMITED when
the connectivity check fails. Now if the connectivity is being set
to LIMITED but the device state is DISCONNECTED, then the value is
coerced to NONE. Add patch submitted to
upstream (boo#1103678, glfdo#NetworkManager/NetworkManager#138):
* 0001-Coerce-connectivity-LIMITED-to-NONE-when-device-is-d.patch
- Fix the global connectivity value which wasn't updated when a
device was removed. Which is a problem if the device being removed
is the one providing the connectivity. Add patch submitted to
upstream (boo#1103678, glfdo#NetworkManager/NetworkManager#141):
* 0001-Update-connectivity-value-on-device-removal.patch

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-remove-polkit-rules.patch: Remove polkit rules
file (bsc#1125434).

==== PackageKit-Qt ====

- Add patch to use the NetworkManager dbus signal when PackageKit is
not running and thus, can't emit a propertiesUpdated signal when
the network changes its state. This is part of the fix for
boo#1103678.
* 0001-Fix-PackageKit-not-emitting-network-state-changed-signal.patch

==== SuSEfirewall2 ====

- Reduce too broad systemd requires.
- Fix rpmlint complaint about unlisted SuSEfirewall2_init.service.

==== acl ====
Subpackages: libacl1 libacl1-32bit

- Update boilerplate descriptions for libacl-devel.
- Remove out-of-date comments for libattr.
- Remove old BuildRoot and %defattr tags.
- Move library into the standard library directory.

==== alsa-plugins ====
Subpackages: alsa-plugins-pulse alsa-plugins-pulse-32bit

- Build alsa-plugins-aaf conditionally, not stop the whole builds
for old distros
- Adjust BuildRequires to use pkgconfig

==== autogen ====
Subpackages: libopts25

- Add gcc9-fix-wrestrict.patch in order to fix
bsc#1125772.

==== bc ====

- added patches
Correct return value after 'q' [bsc#1129038]
+ bc-dc-correct-return-value.patch

==== brltty ====
Version update (5.6 -> 6.0)
Subpackages: brltty-driver-at-spi2 brltty-driver-brlapi
brltty-driver-speech-dispatcher brltty-driver-xwindow brltty-lang
python3-brlapi xbrlapi

- Update to version 6.0:
+ Too many changes; please read ChangeLog :
- Rebased brltty-5.5-systemd-install.patch
- api_version is now 0.7.0, and sover is now 0_7
- brltty-systemd-wrapper now installs into /usr/libexec
- Pass libexecdir in configure
- LICENSE-GPL no longer exists
- Package binaries new in 6.0

==== curl ====
Subpackages: libcurl4

- Fix variable placement that wasn't properly reset within a loop
missing to notify sockets. [bsc#1129083, bsc#1129470]
* Added curl-singlesocket-sincebefore-placement.patch

==== desktop-translations ====
Version update (84.87.20190131.bc9de591 -> 84.87.20190314.58da68e1)

- Update to version 84.87.20190314.58da68e1:
* Translated using Weblate (Catalan)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Czech)
* Translated using Weblate (Danish)
* Translated using Weblate (Dutch)
* Translated using Weblate (Finnish)
* Translated using Weblate (French)
* Translated using Weblate (Galician)
* Translated using Weblate (German)
* Translated using Weblate (Korean)
* Translated using Weblate (Lithuanian)
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
- New language: kab.
- Update to version 84.87.20190305.22ea2626:
* Translated using Weblate (Catalan)
* Translated using Weblate (Czech)
* Translated using Weblate (Finnish)
* Translated using Weblate (Galician)
* Translated using Weblate (German)
* Translated using Weblate (Japanese)
* Translated using Weblate (Russian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)

==== exo ====
Subpackages: exo-data exo-helpers exo-lang exo-tools libexo-1-0 libexo-2-0

- Switched URL and Source to https:// in the spec file.

==== firewalld ====
Subpackages: firewalld-lang python3-firewall

- Add dependency between firewall-macros and firewalld.
(boo#1125775)
- Fix --with-ifcfgdir configure parameter. (boo#1124212)

==== fwnn ====
Version update (1.1.1a023 -> 1.1.1a023.1)

- Remove tarball's URL: Upstream hasn't released tarball yet.
- Do not hide errors coming from useradd.
- Update to FreeWnn-1.1.1-a023.1:
* Deal with "Reproducible Buids".
See <https://osdn.net/projects/freewnn/ticket/38482>.
- Remove FreeWnn-trad_cpp.patch: doesn't seem to need.
- Added systemd support: Replaced sysv init files by systemd
service files.
[bsc#1116014,fwnn.service,fcwnn.service,fkwnn.service,
ftwnn.service]

==== ghostscript ====
Subpackages: ghostscript-x11

- Added AA rules for dvips (bsc#1127934)
- Allow execution of dirname (bsc#1128697)
- Allow execution of hpijs (bsc#1128467). For now this is in
complain mode
- Sane profile name "ghostscript", moved profile from
/etc/apparmor.d/usr.bin.gs to /etc/apparmor.d/ghostscript
(bsc#1128607)
- Improved AA packaging (bsc#1128608)
Thanks to Christian Boltz for his help

==== glibmm2_4 ====
Version update (2.58.0 -> 2.60.0)
Subpackages: libgiomm-2_4-1 libglibmm-2_4-1

- Update to version 2.60.0:
+ Glib:
- Add DateTime::get_timezone(), KeyFile::get_locale_for_key()
and TimeZone::get_identifier().
- Add Value_RefPtrBoxed<>, Value<std::vector<string>>
specializations and other Value specializations that are
necessary for _WRAP_PROPERTY.
- Object construction: Add custom class init and instance init
functions.
+ Gio:
- Add AppInfo::launch_uris_async() and launch_uris_async(),
DBusConnection::get_flags() and property_flags().
- Settings: Add property_settings_schema().
- TlsClientConnection: Deprecate property_accepted_cas().
- ThemedIcon: Add create(const std::vector<Glib::ustring>&
iconnames).
- Remove NO_GTYPE from some _WRAP_ENUMs.
- TlsConnection: Deprecate rehandshake API.
- Application: Add signal_name_lost().
+ gmmproc: Add _IS_REFCOUNTED_BOXEDTYPE.
+ Build: Require glib-2.0 >= 2.59.2.
- Update to version 2.58.1:
+ gmmproc:
- _WRAP_ENUM and _WRAP_GERROR: Add gtype_func parameter.
- docextract_to_xml.py: Add --exclude-file option.
+ Documentation:
- README: Add installation instructions.
- Don?t use @retval on out args, use @param[out].

==== glusterfs ====
Version update (5.3 -> 5.5)
Subpackages: libgfapi0 libgfrpc0 libgfxdr0 libglusterfs0

- Update to new upstream version 5.5
* No changelog yet available in release notes
- Update to new upstream version 5.4
* FUSE Client memory leak fixed (#1623107)
* fail to sync non-ascii utf8 file and dir names (#1648642)
* Tracker bug for all leases related issues (#1651323)
* gluster-blockd segfaults because of a null-deref (#1659563)
* Memory leak: dict_t leak in rda_opendir (#1659676)
* dht_revalidate may not heal attrs on the brick root (#1660736)
* Fix tests/bugs/shard/zero-flag.t (#1660932)
* NL cache: fix typos (#1662200)

==== gnome-control-center ====
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Rebase gnome-control-center-disable-error-message-for-NM.patch
(bsc#1128195).

==== gtkmm3 ====
Version update (3.24.0 -> 3.24.1)

- Update to version 3.24.1:
+ Gdk: RGBA::set_hsv(): Properly interpret hue 360° as red.
+ Documentation:
- Gtk::FileFilter: Several improvements of the documentation.
- Gtk::Builder: Don?t use @retval on out args, use @param[out].
+ Tests: Add test of Gdk::RGBA.

==== intel-vaapi-driver ====

- Add upstream bug fix patches:
* U_vaapi_HEVC-encoder-correct-minimal-bitrate.patch
* U_vaapi_Remove-dep-on-EncRoi-attr.patch
* U_vaapi_Fix-off-by-one-in-ROI-regions.patch
- Add upstream bug fix patches:
* U_vaapi_Check-interface-from-libva.patch
(gh#intel/intel-vaapi-driver#419).
* U_vaapi_Revert-VPP-clear-surface.patch
* U_vaapi_Return-false-instead-assertion-fail.patch

==== jasper ====
Version update (2.0.14 -> 2.0.16)

- Update to 2.0.16:
* Fix assertion failure JPC_NOMINALGAIN (CVE-2016-9396) (#50)
* Fix build on Windows 10 (#162)
* Improve README
* Fix build with CMake 2.x
* Add missing dereference operators (#178, #157)
* Check data in jas_image (CVE-2018-19539) (#196)
- Remove because contained in new release:
* jasper-CVE-2018-19539.patch
* 0001-jpc_cs-reject-all-but-JPC_COX_INS-and-JPC_COX_RFT.patch
* Remove 0001-Added-a-fix-from-nrusch-to-allow-JasPer-to-be-build-.patch
- Run spec-cleaner

==== kcmutils ====
Subpackages: libKF5KCMUtils5 libKF5KCMUtils5-lang

- Add Add-runtime-guard-that-pages-are-KCMs-in-KCMultiDialog.patch
to fix Kontact crash when opening its settings (kde#405440)

==== kdebase4-workspace ====

- Remove the last %kde4_pimlibs_requires line.
Nothing should require kdepimlibs4 anymore.

==== kwalletmanager5 ====
Subpackages: kwalletmanager5-lang

- Provide/Obsolete kwalletmanager, it can access the KDE4 kwallet
too since a while

==== libXdmcp ====
Version update (1.1.2 -> 1.1.3)
Subpackages: libXdmcp-devel libXdmcp6

- Update to version 1.1.3
* This release provides a fix for CVE-2017-2625 for platforms which don't have
arc4random_buf() in their default libraries but do have getentropy(), such
as Linux platforms with a kernel version of 3.17 or newer and a glibc
version
of 2.25 or newer. (libXdmcp 1.1.2 already ensured that arc4random_buf()
is used on platforms that have it to provide sufficient entropy in XDMCP
key generation, but left other platforms with the weaker methods. Linux
platforms could also have linked against libbsd to use arc4random_buf()
with libXdmcp 1.1.2 for stronger keys.)
- supersedes U_Fix-compilation-error-when-arc4random_buf-is-not-ava.patch,
U_Use-getentropy-if-arc4random_buf-is-not-available.patch

==== libXext ====
Version update (1.3.3 -> 1.3.4)
Subpackages: libXext-devel libXext6 libXext6-32bit

- Update to version 1.3.3
* autogen: add default patch prefix
* autogen.sh: use quoted string variables
* autogen.sh: use exec instead of waiting for configure to finish
* Update configure.ac bug URL for gitlab migration
* Assert that values buffer has enough room for provided values
* Fix typos in man pages
* Use __builtin_popcountl if available to replace Ones() in XSecurity.c
* Add description of libXext to README.md
* XSecurityGenerateAuthorization: Allocate enough space in values buffer
* Update README for gitlab migration

==== libXft ====
Version update (2.3.2 -> 2.3.3)
Subpackages: libXft2 libXft2-32bit

- Update to version 2.3.3
* This release updates XftDrawSrcPicture to use XRenderCreateSolidFill
when available (Render version 0.10 or later).

==== libXmu ====
Version update (1.1.2 -> 1.1.3)
Subpackages: libXmu-devel libXmu6 libXmuu1

- Update to version 1.1.3
* This minor maintenance release includes some small bug fixes,
build configuration improvements and janitorial cleanups.

==== libXrandr ====
Version update (1.5.1 -> 1.5.2)
Subpackages: libXrandr2 libXrandr2-32bit

- Update to version 1.5.2
* autogen: add default patch prefix
* autogen.sh: use quoted string variables
* autogen.sh: use exec instead of waiting for configure to finish
* Update configure.ac bug URL for gitlab migration
* Fix memory leak on error paths
* Add description of libXrandr to README.md
* Update README for gitlab migration
- supersedes U_libXrandr_fix-memory-leak.patch

==== libXvMC ====
Version update (1.0.10 -> 1.0.11)

- Update to version 1.0.11
* autogen: add default patch prefix
* autogen.sh: use quoted string variables
* autogen.sh: use exec instead of waiting for configure to finish
* Update configure.ac bug URL for gitlab migration
* Need to check for -1, not 0, to determine if shmat() failed
* Fix sign comparison warnings for loop indexes
* Fix handling of shmKey in XvMCGetDRInfo
* Update README for gitlab migration

==== libXxf86dga ====
Version update (1.1.4 -> 1.1.5)

- Update to version 1.1.5
* This release raises the minimum required libX11 version to
1.6.0 from 2013.

==== libbluray ====

- Remove unused dependencies from pkgconfig(libbluray)
Our pkg is dynamically linked, so Libs.private is not needed
Nothing in the exported header files needs paths from
Requires.private
libbluray-pkgconfig.patch

==== libpinyin ====
Version update (2.2.1 -> 2.3.0)
Subpackages: libpinyin-data libpinyin13 libzhuyin13

- Update version to 2.3.0
* Update pinyin data
- Drop libpinyin-avoid_download_at_buildtime.patch, merged by upstream.
- Update version to 2.2.2
* minor fixes

==== libreoffice ====
Version update (6.2.2.1 -> 6.2.2.2)
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Update the old-icu.patch based on the upstream feedback
- old-boost.patch: update patch to fix build with Boost from SLE-12
- Update to 6.2.2.2:
* Few more tweaks over previous RC1
- Add patch to fix build with old icu from Leap 42:
* old-icu.patch
- Add patch to fix build on Leap 42:
* kde5.patch

==== libseccomp ====
Version update (2.3.3 -> 2.4.0)

- updated to 2.4.0 (bsc#1128828)
- Update the syscall table for Linux v5.0-rc5
- Added support for the SCMP_ACT_KILL_PROCESS action
- Added support for the SCMP_ACT_LOG action and SCMP_FLTATR_CTL_LOG attribute
- Added explicit 32-bit (SCMP_AX_32(...)) and 64-bit (SCMP_AX_64(...))
argument comparison macros to help protect against unexpected sign extension
- Added support for the parisc and parisc64 architectures
- Added the ability to query and set the libseccomp API level via
seccomp_api_get(3) and seccomp_api_set(3)
- Return -EDOM on an endian mismatch when adding an architecture to a filter
- Renumber the pseudo syscall number for subpage_prot() so it no longer
conflicts with spu_run()
- Fix PFC generation when a syscall is prioritized, but no rule exists
- Numerous fixes to the seccomp-bpf filter generation code
- Switch our internal hashing function to jhash/Lookup3 to MurmurHash3
- Numerous tests added to the included test suite, coverage now at ~92%
- Update our Travis CI configuration to use Ubuntu 16.04
- Numerous documentation fixes and updates
- now gpg signed, added key of Paul Moore from keyserver.

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-gluster
libvirt-daemon-driver-storage-iscsi libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- apparmor: reintroduce upstream lxc mount rules
Drop apparmor-no-mount.patch
bsc#1130129

==== libx86emu ====
Version update (2.1 -> 2.2)

- merge gh#wfeldt/libx86emu#14
- ops2: Add support for conditional move
- ops2: Implement bswap
- Add additional ops2 instructions
- 2.2

==== libxkbfile ====
Version update (1.0.9 -> 1.1.0)
Subpackages: libxkbfile-devel libxkbfile1

- Update to version 1.1.0
* This release adds support for the NoLock, NoUnlock, and
genKeyEvent flags.

==== libzypp ====
Version update (17.11.2 -> 17.11.3)

- KeyManager: Work around bsc#1127220 [libgpgme] no error upon
incomplete import due to signal received.
- MediaCurl: add hint to check SCC for an expired regcode on
http error 403 (bsc#965786)
- version 17.11.3 (9)

==== lua53 ====
Version update (5.3.4 -> 5.3.5)
Subpackages: liblua5_3-5

- Update to 5.3.5:
(it is really problematic to find ANY documentation of changes
between minor versions; the best we have is
https://www.lua.org/bugs.html)
- Long brackets with a huge number of '=' overflow some
internal buffer arithmetic.
- Small build tweaks.

==== mcelog ====
Version update (1.60 -> 1.62)

- Update to version 1.62:
* mcelog: Fix memory controller bank channel mappings for Skylake
* mcelog: update tests for new error code
* mcelog: Add decoding for Optane DC persistent memory mode
* mcelog: Deduce channel number for Haswell/Broadwell/Skylake systems
- Change mcelog.spec to use autosetup

==== mkfontscale ====
Version update (1.2.0 -> 1.2.1)

- Update to version 1.2.1
* This release fixes a regression introduced in the 1.2.0
release that could leave the mkfontdir script containing
an unexpanded reference to ${exec_prefix} as shown in
https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues/5

==== mozilla-nss ====
Version update (3.41.1 -> 3.42.1)
Subpackages: libfreebl3 libsoftokn3 mozilla-nss-certs mozilla-nss-tools

- update to NSS 3.42.1
* required by Firefox 66.0
New functionality
* Support XDG basedir specification (bmo#818686)
Notable changes
* added some testcases from the Wycheproof project
Bugs fixed
* Reject invalid CH.legacy_version in TLS 1.3 (bmo#1490006)
* A fix for Solaris where Firefox 60 core dumps during start when
using profile from version 52 (bmo#1513913)

==== nano ====
Version update (3.2 -> 4.0)
Subpackages: nano-lang

- Update to version 4.0:
* An overlong line is no longer automatically hard-wrapped.
* Smooth scrolling (one line at a time) has become the default.
* A newline character is no longer automatically added at end of buffer.
* The line below the title bar is by default part of the editing space.
* Option --breaklonglines (-b) turns automatic hard-wrapping back on.
* Option --jumpyscrolling (-j) gives the chunky, half-screen scrolling.
* Option --finalnewline (-f) brings back the automatic newline at EOF.
* Option --emptyline (-e) leaves the line below the title bar unused.
* <Alt+Up> and <Alt+Down> now do a linewise scroll instead of a findnext.
* Any number of justifications can be undone (like all other operations).
* When marked text is justified, it becomes a single, separate paragraph.
* Option --guidestripe=<number> draws a vertical bar at the given column.
* Option --fill=<number> no longer turns on automatic hard-wrapping.
* When a line continues offscreen, it now ends with a highlighted ">".
* The halfs of a split two-column character are shown as "[" and "]".
* A line now scrolls horizontally one column earlier.
* The bindable functions 'cutwordleft' and 'cutwordright' were renamed to
'chopwordleft' and 'chopwordright' as they don't use the cutbuffer.
* The paragraph-jumping functions were moved from Search to Go-to-Line.
* Option --rebinddelete is able to compensate for more misbindings.
* Options --morespace and --smooth are obsolete and thus ignored.
* The --disable-wrapping-as-root configure option was removed.
- Enable file/magic guessing

==== ncurses ====
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo
terminfo-base terminfo-screen

- Add ncurses patch 20190323
+ move macro for is_linetouched() inside NCURSES_NOMACROS ifndef.
+ corrected prototypes in several manpages using script to extract
those in compilable form.
+ use _nc_copy_termtype2() rather than direct assignment in setupterm,
in case it is called repeatedly using fallback terminfo descriptions
(report/patch by Werner Fink).
- Drop patch ncurses-6.1-fallback.dif as now upstream
- Reintroduce patch ncurses-6.1-fallback.dif to fix boo#1130091
- Add ncurses patch 20190317
+ regenerate llib-* files.
+ modify tic to also use new function for user-defined capability info.
+ modify _nc_parse_entry() to check if a user-defined capability has
an unexpected type; ignore it in that case.
+ fix a special case of link-anchors in generated Ada html files.
+ use newer rel=author tag in generated html rather than rev=made,
which did not become accepted.
- Add ncurses patch 20190309
+ in-progress changes to add parameter-checking for common user-defined
capabilities in tic.
+ update MKcodes.awk and MKnames.awk to ignore the new "userdef"
data in Caps-ncurses (cf: 20190302).
- Add ncurses patch 20190223
+ fix typo in adds200 -TD
+ add tic check for consistent alternate character set capabilities.
+ improve check in mvcur() to decide whether to use hard-tabs, using
xt, tbc and hts as clues.
+ replace check in reset command for obsolete "pt" capability using
tbc and hts capabilities as clues (report by Nicolas Marriott).

==== plasma5-pk-updates ====
Subpackages: plasma5-pk-updates-lang

- Add patches already approved by upstream to delay any check for updates
until the network is online if the network is offline . The patches
also fix some visibility issues of widgets that don't make sense if
the network is offline. This is part of the fix for boo#1103678.
* 0001-Hide-updates-and-checkbox-when-system-is-offline.patch
* 0002-Add-its-own-messageChanged-NOTIFY-signal-to-message.patch
* 0003-Delay-PkUpdates-checkUpdates-calls-if-the-network-is-offline.patch
- Rebase patch:
* 0001-Hide-option-to-install-updates-on-Tumbleweed.patch

==== plasma5-workspace ====
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Fix wording
- Changed dependecy status of sounds package from Required to
Recommended because Plasma load just fine without it.
- Edit 0001-Set-GTK_BACKEND-x11-in-a-wayland-session.patch:
* Allow overriding GDK_BACKEND in .config/plasma-workspace/env

==== plymouth ====
Subpackages: libply-boot-client4 libply-splash-core4 libply-splash-graphics4
libply4 plymouth-dracut plymouth-plugin-label plymouth-plugin-label-ft
plymouth-plugin-script plymouth-plugin-two-step plymouth-scripts

- Fix theme-bgrt dependencies
(based on plugin-two-step with images from theme-spinner)

==== pngquant ====
Version update (2.11.2 -> 2.12.2)

- Use noun phrase in summary. Update description with parts from
from README.md.
- update to version 2.12.2
* improved speed on large images

==== projectM ====

- Ensure neutrality of description.

==== psqlODBC ====
Version update (10.03.0000 -> 11.00.0000)

- Update to version 11.00.0000:
* Remove obsolete maps pointed out.
* Remove connSettings option and/or pqopt option from the
OutConnectionString parameter of SQLDriverConnect() when each
option doesn't exist in InConnectionString parameter.
* The parameters should be cast because parameters of concat()
function are variadic "any".
* Add an alias DX of *Database* keyword for connection strings
to aviod the use of "database" keyword which has a special
meaning in some apps or middlewares.
* numeric items without precision are unlimited and there's no
natural map between SQL Data types.
Add an option *Numeric(without precision) as*
* Fix a bug that SQLSpecialColumns() returns oid/xmin
incorrectly when a table does not exist.
- Fix build with PostgreSQL 11 that does not have pg_config in the
regular devel package anymore (psqlODBC-internal.patch).
- Avoid self-obsoletion.

==== python-ipaddr ====
Version update (2.1.11 -> 2.2.0)

- version update to 2.2.0
* Fix compatibility with Python 3
(despite ipaddress existence)
https://github.com/google/ipaddr-py/pull/118
- deleted patches
- use_2to3.patch (not needed)

==== python-numpy ====
Subpackages: python2-numpy python3-numpy

- add fix-py34-tests.patch to fix build with python3.4 from SLE12SP4

==== qalculate ====
Version update (2.8.0 -> 3.0.0)

- Update to 3.0.0
* Implement 2019 redefinition of SI base units
* Uncertainty propagation improvements/fixes
* Separate use of interval arithmetic
* Improved polynomial gcd
* Added option to ignore the system language
* Switch to exact decimal fractions (fixed) from decimal fractions
mode (and vice versa) when exact mode is toggled.
* Restore lost signal handlers in the conversion GUI

==== rubygem-actioncable-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-actioncable-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionmailer-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionmailer-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionpack-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionpack-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionview-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-actionview-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-activejob-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-activejob-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-activemodel-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-activemodel-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-activerecord-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-activerecord-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-activesupport-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-activesupport-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-autoprefixer-rails ====
Version update (9.4.5 -> 9.5.0)

- updated to version 9.5.0
* Add mask-composite support (by Semen Levenson).
- updated to version 9.4.10.2
see installed CHANGELOG.md
[#]# 9.4.10.2
* Fix Ruby < 2.4 support (by Jack Ford).
* Update Can I Use data.
[#]# 9.4.10.1
* Fix non-Rails environments support (by Junya Ogura).
* Update Can I Use data.
[#]# 9.4.10
* Add warning for named Grid rows.
- updated to version 9.4.9
see installed CHANGELOG.md
[#]# 9.4.9
* Fix `grid-template` and `@media` case (by Bogdan Dolin).
[#]# 9.4.8
* Fix `calc()` support in Grid gap.
[#]# 9.4.7
* Fix infinite loop on mismatched parens.
[#]# 9.4.6
* Fix warning text (by Albert Juhé Lluveras).

==== rubygem-byebug ====
Version update (10.0.2 -> 11.0.1)

- updated to version 11.0.1
[#] Fixed
* 546: continue! to ignore further byebug calls.
* 545: skip autolisting code for intermediate skipped breakpoints.
- updated to version 11.0.0
see installed CHANGELOG.md

==== rubygem-concurrent-ruby ====
Version update (1.1.4 -> 1.1.5)

- updated to version 1.1.5
see installed CHANGELOG.md
[#]# Release v1.1.5, edge v0.5.0 (10 mar 2019)
concurrent-ruby:
* fix potential leak of context on JRuby and Java 7
concurrent-ruby-edge:
* Add finalized Concurrent::Cancellation
* Add finalized Concurrent::Throttle
* Add finalized Concurrent::Promises::Channel
* Add new Concurrent::ErlangActor

==== rubygem-hoe ====
Version update (3.17.1 -> 3.17.2)

- updated to version 3.17.2
see installed History.rdoc
=== 3.17.2 / 2019-03-13
* 1 bug fix:
* Fixed gem sign breakage caused by rubygems update. Tested against rubygems
3.0.2

==== rubygem-i18n ====
Version update (1.5.3 -> 1.6.0)

- updated to version 1.6.0
no changelog found

==== rubygem-libyui-rake ====
Version update (0.1.13 -> 0.1.14)

- Added SLE-15-SP1 target (bsc#1130043)
- 0.1.14

==== rubygem-liquid ====
Version update (4.0.1 -> 4.0.3)

- updated to version 4.0.3
see installed History.md
[#]# 4.0.3 / 2019-03-12
[#]## Fixed
* Fix break and continue tags inside included templates in loops (#1072)
[Justin Li]
[#]# 4.0.2 / 2019-03-08
[#]## Changed
* Add `where` filter (#1026) [Samuel Doiron]
* Add `ParseTreeVisitor` to iterate the Liquid AST (#1025) [Stephen Paul
Weber]
* Improve `strip_html` performance (#1032) [printercu]
[#]## Fixed
* Add error checking for invalid combinations of inputs to sort,
sort_natural, where, uniq, map, compact filters (#1059) [Garland Zhang]
* Validate the character encoding in url_decode (#1070) [Clayton Smith]
[#]# 4.0.1 / 2018-10-09
[#]## Changed
* Add benchmark group in Gemfile (#855) [Jerry Liu]
* Allow benchmarks to benchmark render by itself (#851) [Jerry Liu]
* Avoid calling `line_number` on String node when rescuing a render error.
(#860) [Dylan Thacker-Smith]
* Avoid duck typing to detect whether to call render on a node. [Dylan
Thacker-Smith]
* Clarify spelling of `reversed` on `for` block tag (#843) [Mark Crossfield]
* Replace recursion with loop to avoid potential stack overflow from
malicious input (#891, #892) [Dylan Thacker-Smith]
* Limit block tag nesting to 100 (#894) [Dylan Thacker-Smith]
* Replace `assert_equal nil` with `assert_nil` (#895) [Dylan Thacker-Smith]
* Remove Spy Gem (#896) [Dylan Thacker-Smith]
* Add `collection_name` and `variable_name` reader to `For` block (#909)
* Symbols render as strings (#920) [Justin Li]
* Remove default value from Hash objects (#932) [Maxime Bedard]
* Remove one level of nesting (#944) [Dylan Thacker-Smith]
* Update Rubocop version (#952) [Justin Li]
* Add `at_least` and `at_most` filters (#954, #958) [Nithin Bekal]
* Add a regression test for a liquid-c trim mode bug (#972) [Dylan
Thacker-Smith]
* Use https rather than git protocol to fetch liquid-c [Dylan Thacker-Smith]
* Add tests against Ruby 2.4 (#963) and 2.5 (#981)
* Replace RegExp literals with constants (#988) [Ashwin Maroli]
* Replace unnecessary `#each_with_index` with `#each` (#992) [Ashwin Maroli]
* Improve the unexpected end delimiter message for block tags. (#1003) [Dylan
Thacker-Smith]
* Refactor and optimize rendering (#1005) [Christopher Aue]
* Add installation instruction (#1006) [Ben Gift]
* Remove Circle CI (#1010)
* Rename deprecated `BigDecimal.new` to `BigDecimal` (#1024) [Koichi ITO]
* Rename deprecated Rubocop name (#1027) [Justin Li]
[#]## Fixed
* Handle `join` filter on non String joiners (#857) [Richard Monette]
* Fix duplicate inclusion condition logic error of
`Liquid::Strainer.add_filter` method (#861)
* Fix `escape`, `url_encode`, `url_decode` not handling non-string values
(#898) [Thierry Joyal]
* Fix raise when variable is defined but nil when using `strict_variables`
[Pascal Betz]
* Fix `sort` and `sort_natural` to handle arrays with nils (#930) [Eric Chan]

==== rubygem-msgpack ====
Version update (1.2.6 -> 1.2.9)

- updated to version 1.2.9
see installed ChangeLog
2019-03-13 version 1.2.9:
* Hotfix release only for JRuby: 1.2.8-java was built incorrectly
2019-03-11 version 1.2.8:
* Fix a regression that MessagePack#unpack raises error if IO is assigned as
the (only) argument
* Improve compatibility that MessagePack#pack returns nil if IO is assigned
as 2nd argument
- updated to version 1.2.7
see installed ChangeLog
2019-03-01 version 1.2.7:
* Add Packer#write_bin and Packer#write_bin_header methods

==== rubygem-net-ssh ====
Version update (5.1.0 -> 5.2.0)

- updated to version 5.2.0
see installed CHANGES.txt
=== 5.2.0.rc3
* Fix check_host_ip read from config
* Support ssh-ed25519 in kown hosts
=== 5.2.0.rc2
* Read check_host_ip from ssh config files
=== 5.2.0.rc1
* Interpret * and ? in know_hosts file [Romain Tartière, #660]
* New :check_host_ip so ip checking can be disabled in known hosts [Romain
Tartière, #656]
=== 5.1.0

==== rubygem-omniauth-google-oauth2 ====
Version update (0.6.0 -> 0.6.1)

- updated to version 0.6.1
see installed CHANGELOG.md
[#]# 0.6.1 - 2019-03-07
[#]## Added
- Return `email` and `email_verified` keys in response.
[#]## Deprecated
- Nothing.
[#]## Removed
- Nothing.
[#]## Fixed
- Nothing.

==== rubygem-rails-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
no changelog found

==== rubygem-rails-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
no changelog found

==== rubygem-railties-5_0 ====
Version update (5.0.7.1 -> 5.0.7.2)

- updated to version 5.0.7.2
see installed CHANGELOG.md
[#]# Rails 5.0.7.2 (March 11, 2019) ##
* No changes.

==== rubygem-railties-5_1 ====
Version update (5.1.6.1 -> 5.1.6.2)

- updated to version 5.1.6.2
see installed CHANGELOG.md
[#]# Rails 5.1.6.2 (March 11, 2019) ##
* No changes.

==== rubygem-ruby_parser ====
Version update (3.12.0 -> 3.13.0)

- updated to version 3.13.0
see installed History.rdoc
=== 3.13.0 / 2019-03-12
* 3 major enhancements:
* Removed 1.8 and 1.9 support. Moved to ruby_parser-legacy gem.
* Added tentative 2.6 support.
* Updated ruby_parser.yy to ruby 2.4 architecture.
* 22 minor enhancements:
* Added debug3 and cmp3 rake tasks that use the above tools.
* Added tLONELY to compare/normalize.rb
* Added tools/munge.rb, tools/ripper.rb, and debugging.md
* 2.6: Added trailing .. and ... support.
* Extended StackState to log more state changes, making debugging easier.
* Extended StackState#store to take an initial value.
* Improved logging / debugging in StackState.
* Improved normalization and parser compare tasks.
* Improved tools/munge.rb output.
* In f_arglist, track in_kwarg if no parens.
* In process_newline_or_comment, handle NL if in_kwarg there vs normal.
* Refactored normalized values to WORDLIST.
* Refactored parser: push up to relop and rel_expr.
* Removed Keyword.keyword18.
* Removed RubyLexer version attr_accessors.
* Removed long dead deprecations internal to RubyParserStuff.
* Removed version arg to RubyLexer#initialize (default nil + no-op).
* Renamed Keyword.keyword19 to Keyword.keyword.
* Renamed process_bracing to process_brace_close
* Renamed process_curly_brace to process_brace_open
* Report first parse error message if all parser versions fail, not last.
* Updated parser to track against 2.6.
* 11 bug fixes:
* Fix some shift/reduce errors.
* Fixed BEGIN blocks having different arg value that END blocks. (mvz)
* Fixed all reported unused non-terminals/rules.
* Fixed bug 272.
* Fixed bug in interpolated symbol lists. (strviola)
* Fixed bug where block shadow arguments were not registered as lvars. (akimd)
* Fixed bug where kwsplat args weren't treated as lvars. (mvz)
* Fixed lex_state and other internals in many cases.
* Fixed shebang in compare/normalize.rb to use env. Avoids rubygems freaking.
* Fixed some more internal state bugs.
* Fixed tRCURLY -> tSTRING_DEND for interpolation brace closes.

==== rubygem-sexp_processor ====
Version update (4.11.0 -> 4.12.0)

- updated to version 4.12.0
see installed History.rdoc
=== 4.12.0 / 2019-03-12
* 3 bug fixes:
* Fixed sexp_body to return empty sexp instead of nil when using STRICT_SEXP.
* STRICT_SEXP=4+ fails w/ current use of concat. Removed concat from
strictness for now.
* Use concat internally instead of splat. Some people have 20000 node sexps!
(presidentbeef)

==== rubygem-temple ====
Version update (0.8.0 -> 0.8.1)

- updated to version 0.8.1
see installed CHANGES
0.8.1
* Stop relying on deprecated method in Rails (#121)
* Fix issue with --enable-frozen-string-literal
* Escape html in markdown

==== rubygem-unicorn ====
Version update (5.4.1 -> 5.5.0)

- updated to version 5.5.0
see installed NEWS
=== unicorn 5.5.0.pre1 / 2018-12-20 20:11 UTC
Jeremy Evans contributed the "default_middleware" configuration option:

https://bogomips.org/unicorn-public/20180913192055.GD48926@jeremyevans.local/
Jeremy also contributed the ability to use separate groups for the process
and log files:

https://bogomips.org/unicorn-public/20180913192449.GE48926@jeremyevans.local/
There's also a couple of uninteresting minor optimizations and
documentation additions.
Eric Wong (10):
remove random seed reset atfork
use IO#wait instead of kgio_wait_readable
Merge branch '5.4-stable'
shrink pipes under Linux
socket_helper: add hint for FreeBSD users for accf_http(9)
tests: ensure -N/--no-default-middleware not supported in config.ru
doc: update more URLs to use HTTPS and avoid redirects
deduplicate strings VM-wide in Ruby 2.5+
doc/ISSUES: add links to git clone-able mail archives of our dependencies
README: minor updates and additional disclaimer
Jeremy Evans (2):
Make Worker#user support different process primary group and log file group
Support default_middleware configuration option
=== unicorn 5.4.1 / 2018-07-23 17:13 UTC
This release quiets some warnings for Ruby 2.6 preview releases
and enables tests to pass under Ruby 1.9.3. Otherwise, nothing
interesting for Ruby 2.0..2.5 users. *YAWN*
Eric Wong (1):
quiet some mismatched indentation warnings
Fumiaki MATSUSHIMA (1):
Use IO#wait instead to fix test for Ruby 1.9

==== rubygem-validate_url ====
Version update (1.0.2 -> 1.0.6)

- updated to version 1.0.6
no changelog found
- updated to version 1.0.4
no changelog found

==== sensors ====
Subpackages: libsensors4

- Join %service_* lines to generate less scriptlet boilerplate.

==== spacenavd ====

- Add two upstream patches for proper handling of device ids:
* spacenavd-add-blacklist-and-device-ids.patch
* spacenavd-add-missing-usbid.patch

==== spice-gtk ====
Subpackages: libspice-client-glib-2_0-8 libspice-client-glib-helper
libspice-client-gtk-3_0-5

- Drop pkgconfig(usbutils) BuildRequires: usbutils 010 dropped the
.pc file.
- Pass --with-usb-ids-path=/usr/share/hwdata/usb.ids to configure:
pass the correct path to the usb.ids file (shipped by hwdata).

==== tar ====
Version update (1.30 -> 1.31)
Subpackages: tar-lang tar-rmt

- Remove libattr-devel from buildrequires, tar no longer uses
it but finds xattr functions in libc.
- update to version 1.31
* Fix heap-buffer-overrun with --one-top-level, bug introduced
with the addition of that option in 1.28
* Support for zstd compression
* New option '--zstd' instructs tar to use zstd as compression
program. When listing, extractng and comparing, zstd compressed
archives are recognized automatically. When '-a' option is in
effect, zstd compression is selected if the destination archive
name ends in '.zst' or '.tzst'.
* The -K option interacts properly with member names given in the
command line. Names of members to extract can be specified along
with the "-K NAME" option. In this case, tar will extract NAME
and those of named members that appear in the archive after it,
which is consistent with the semantics of the option. Previous
versions of tar extracted NAME, those of named members that
appeared before it, and everything after it.
* Fix CVE-2018-20482 - When creating archives with the --sparse
option, previous versions of tar would loop endlessly if a
sparse file had been truncated while being archived.
- remove the following patches (upstreamed)
* tar-1.30-tests-difflink.patch
* tar-1.30-tests_dirrem_race.patch
- refresh add_readme-tests.patch
- add tar-1.31-tests_dirrem.patch to fix expected output in dirrem
tests
- add tar-1.31-racy_compress_tests.patch to fix compression tests

==== tigervnc ====
Subpackages: libXvnc1 xorg-x11-Xvnc xorg-x11-Xvnc-module

- Update with-vnc-key.sh to use only hostname for CN.
The gnutls introduces gnutls_x509_crt_check_hostname2 in
gnutls/lib/x509/hostname-verify.c#L159 to check if the given
certificate's subject matches the given hostname.
The function is used by the recent version of libvncclient which
will fail to verify the certification if there is a mismatching
between the connected hostname and the cert issuer's common name.
https://github.com/LibVNC/libvncserver/commit/cc69ee9
So the previous way to generate the vnc server's cert brings a
complicated CN, making the client using libvncclient
(e.g. vinagre, remmina) hard to adapt the hostname check. It is
better to populate the hostname as the common name without extra
strings.
- Change Requires(post): firewall-macros to BuildRequires: the
macros are expanded at build time and not needed at all at
runtime.

==== transactional-update ====
Version update (2.14 -> 2.14.1)
Subpackages: transactional-update-zypp-config

- Update to version 2.14.1
- Improve non-root fs changes checker based on feedback
- Disable snapper's zypper plugin during transactional-update run
- Allow parallel installation with snapper's zypper plugin (useful on
read-write systems).

==== usbutils ====
Version update (009 -> 010)

- update to usbutils 010
* usbreset.c: add missing <stdlib.h> include
* Do not create and install usbutils.pc
* fix dump_videocontrol_interface for unitialized variable usage
* Add correct SPDX license identifiers to all files
* Add SPDX identifiers on files that did not have a specific license.
* wTotalLength should be printed as a hex number
* usbmisc: fix up some strncpy() issues
* lsusb-t: fix up error with readlink()
* lsusb.py.in: add proper SPDX license identifier
* usb-devices: reword the copyright identifier
* LICENSES: move the GPL 2 license to the LICENSES directory
* LICENSES/GPL-3.0.txt: add the file
* lsusb.h: add copyright notice
* lsusb-t: add copyright info
* bom.spdx: Add bill of materials file in SPDX format.
* ChangeLog: remove it.
* AUTHORS: remove file
* do_release: drop file
* NEWS: add SPDX header and comment
* autogen.sh: add SPDX and copyright header
* list.h: add copyright information
* travis-autogen.sh: add SPDX and copyright information.
* INSTALL: remove the file, it's boiler-plate
* configure.ac: add SPDX and copyright
* man pages: add SPDX and copyright information
* Makefile.am: add SPDX and copyright information
* .gitmodules: add SPDX and copyright lines
* lsusb.py.in: fix up Copyright strings
* usbreset.c: add Alan's copyright
* .travis.yml: add correct SPDX and copyright notices
* bom.spdx: update with latest copyright and SPDX identifier additions
* README.md: move the README file to markdown
* README.md: fix fomatting
* bom.spdx: upate with README -> README.md change
* lsusb.py: convert to python3
* lsusb: Split subtype mapping out of AudioControl interface handling.
* lsusb: Add declarative definitions for UAC1 and UAC2 descriptors.
* lsusb: Add code to dump descriptor data using descriptor definition.
* lsusb: Switch to descriptor-definition based dump for UAC1 and UAC2.
* lsusb: Add descriptor definitions for UAC3.
* lsusb: Add initial support for USB Audio Device Class 3.
* lsusb: Add descriptor definition for USB3 BOS Configuration Summary.
* lsusb: Dump USB3 BOS Configuration Summary Descriptor.
* lsusb: Squash Wpointer-compare warning.
* lsusb: Remove unused function.
* lsusb: Fix array entry count for variable sized entries.
* Makefile.am: Include usbreset.c in the release tarball
* lsusb: Dump UVC Stream based payload descriptor.

==== xf86-input-wacom ====

- Remove FIRST_ARG logic (following systemd-rpm-macros rev 28).
- Avoid em dashes in summary.
- Add %systemd_ordering as there are service files to process.

==== xf86-video-ati ====
Version update (18.1.0 -> 19.0.1)

- Update to release 19.0.1
* Fixes for two regressions which crept into the 19.0.0 release.
* Add support for RandR output tile properties, allowing monitors
using DisplayPort Multi Stream Transport tiling to work better
out of the box. (Note that DP MST support in the radeon kernel
driver is still experimental and disabled by default)
- Update to release 19.0.0
* Various TearFree related fixes and robustness improvements.
* Up to six independent instances per GPU are now supported in
"Zaphod" style multi-head configurations.
* Other improvements and fixes

==== xfce4-panel-plugin-weather ====
Version update (0.9.0 -> 0.9.1)
Subpackages: xfce4-panel-plugin-weather-lang

- Update to 0.9.1
* Use https for all connections (bxo#13645)
* Use the latest sunrise API (2.0) (bxo#14972)
* Use xfce_panel_plugin_get_icon_size so the weather icon respects the
panel's configured icon size
* Fix link to the met.no logo
* Translation Updates
- Dropped obsolete macros
- Swtiched URL and Source to https://

==== xfce4-panel-plugin-whiskermenu ====
Version update (2.3.1 -> 2.3.2)
Subpackages: xfce4-panel-plugin-whiskermenu-lang

- update to 2.3.2
* Fix editing menu items containting a single quote. (bxo#15091)
* Fix displaying empty tooltips. (bxo#15137)
* Translation updates: Dutch, Galician, Spanish, Swedish, Ukrainian.

==== xmlto ====

- Suggest instead of recommend texlive: most users are not
interested in texlive specific tooling- unless they install
texlive. xmlto is also useful without the texlice stack. So
instead of recommending (and this installing by default)
textlive, we switch to suggesting it.

==== xorg-x11-server ====
Subpackages: xorg-x11-server-extra xorg-x11-server-sdk xorg-x11-server-wayland

- Add systemd-rpm-macros BuildRequire for %tmpfiles_*.

==== xtrans ====
Version update (1.3.5 -> 1.4.0)

- n_unifdef-LBXPROXY_t-and-TEST_t.patch
* reverse apply in order to fix build of lbxproxy again ...
- Update to version 1.4.0
* This release drops a bunch of dead code, including support
only used by lbxproxy and pre-1.4.0 versions of libX11, as
well as support for obsolete SysV x86 platforms. It also
provides some bug fixes & other maintenance work.

==== yast2-bootloader ====
Version update (4.1.22 -> 4.1.23)

- Removed double "smt" entry from *.rnc file (bsc#1128707).
- 4.1.23

==== yast2-trans ====
Version update (84.87.20190320.750cf6aee8 -> 84.87.20190322.b16b39e213)
Subpackages: yast2-trans-af yast2-trans-ar yast2-trans-bg yast2-trans-bn
yast2-trans-bs yast2-trans-ca yast2-trans-cs yast2-trans-cy yast2-trans-da
yast2-trans-de yast2-trans-el yast2-trans-en yast2-trans-en_GB
yast2-trans-en_US yast2-trans-es yast2-trans-et yast2-trans-fa yast2-trans-fi
yast2-trans-fr yast2-trans-gl yast2-trans-gu yast2-trans-hi yast2-trans-hr
yast2-trans-hu yast2-trans-id yast2-trans-it yast2-trans-ja yast2-trans-jv
yast2-trans-ka yast2-trans-km yast2-trans-ko yast2-trans-lo yast2-trans-lt
yast2-trans-mk yast2-trans-mr yast2-trans-nb yast2-trans-nl yast2-trans-pa
yast2-trans-pl yast2-trans-pt yast2-trans-pt_BR yast2-trans-ro yast2-trans-ru
yast2-trans-si yast2-trans-sk yast2-trans-sl yast2-trans-sr yast2-trans-sv
yast2-trans-ta yast2-trans-th yast2-trans-tr yast2-trans-uk yast2-trans-vi
yast2-trans-wa yast2-trans-xh yast2-trans-zh_CN yast2-trans-zh_TW yast2-trans-zu

- Update to version 84.87.20190322.b16b39e213:
* Added Left-to-Right Embedding to fix path display in help text (bsc#1127917)
* Fixed "incorrect text direction in System/Kernel Kdump/Expert Settings"
(bsc#1127958)
* Fixed Incorrect text alignment in 'Start web browser' message (bsc#1128163)
* Fixed Wrong position of full stop (bsc#1127949)
* Fixed displaying paths in a bidi text
* Fixed the brackets and added RLMs (bsc#1127563)
* New POT for text domain 'ntp-client'.
* Translated using Weblate (Arabic)
* Translated using Weblate (Chinese (China))
* Translated using Weblate (Chinese (Taiwan))
* Translated using Weblate (French)
* Translated using Weblate (Hungarian)
* Translated using Weblate (Korean)
* Translated using Weblate (Portuguese (Brazil))
* Translated using Weblate (Slovak)
* Translated using Weblate (Spanish)
* Translated using Weblate (Swedish)

==== ypbind ====

- ypbind needs yp.conf to be present. So wait for network to be
online in case it's created by DHCP (boo#1129587)
- Drop use of $FIRST_ARG in .spec
The use of $FIRST_ARG was probably required because of the
%service_* rpm macros were playing tricks with the shell positional
parameters. This is bad practice and error prones so let's assume
that no macros should do that anymore and hence it's safe to assume
that positional parameters remains unchanged after any rpm macro
call.

==== zypper ====
Version update (1.14.26 -> 1.14.27)
Subpackages: zypper-aptitude zypper-log zypper-needs-restarting

- Add Requires: libaugeas0 >= 1.10.0 (fixes #265)
- bash-completion: add package completion for addlock (bsc#1047962)
- bash-completion: fix incorrect detection of command names (bsc#1049826)
- version 1.14.27


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages